Subject: [Fot] Part need

From: "Steve Yott" <[email-masked]>
Date: Mon, 10 Sep 2012 14:14:09 -0500

All,
 
I have done a part inventory for my TR 5A project (AKA TR250) and am missing
a front suspension arm &%#)(*&@^@ Yep, the only part that I can't find is
$100.00 at Moss and it's just not worth that kind of money!!
 
What I am looking for is the Front, Upper A-Arm for a TR4A - TR6 as they are
the same. This is Moss part number 661-050, Vicky Brit # 5-273 and Triumph #
133504. Side does not matter but it is the upper arm with the greater amount
of bend in it.
 
If anyone has one lying around I would be very willing to purchase it from
you for a fair price!
 
Thanks much
 
Steve Yott
262-997-0701
[email-masked]
_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]